<svelte:options accessors={true} />

<script lang="ts">
  import { ApplicationShell } from '@typhonjs-fvtt/runtime/svelte/component/core'
  import SidEditor from './SidEditor.svelte'
  import type { Writable } from 'svelte/store'
  import {
    DataAccessor,
    PropertyItemType,
  } from '../../module/model/item-data.js'

  export let doc: Writable<DataAccessor<PropertyItemType>>
  export let localize: (key: string) => string = () => ''

  export let elementRoot
</script>

<ApplicationShell bind:elementRoot>
  <SidEditor bind:doc bind:localize />
</ApplicationShell>
